General questions

Galaxy Tab 4.0 - (SM-T530)

Hi,

this model (Galaxy Tab 4.0 - (SM-T530)) does not appear in the compatible devices list.

Just because it,s "too" old or this device has been tested and it does'nt work 


Thanks for your help

Philippe

1 Comment

Dear Philippe,


We invite you to visit the dedicated support website about our apps for any questions about Nebo compatibility: https://app-support.myscript.com


Best regards,


Olivier